/* itochr.c - char to integer conversion supporting transls. by FOR_C (TM) */
/*
 *    copyright Cobalt Blue, Inc., 1988 - 1995
 *               ALL RIGHTS RESERVED
 */


#include <stdio.h>
#include <fcrt.h>

#define MAX_PAIRS	255
static char istr[MAX_PAIRS][2];
static int next=0;
	/* rotate through istr[] pairs to avoid clobbering prior values when
		used in an argument list */

#if defined(__STDC__) || ANSI_C_TARGET
	char *sitochr( short i )
#else
	char *sitochr( i ) /*convert ASCII integer to char str, retn ptr to str*/
	short i;
#endif
	{
		next = (next >= MAX_PAIRS) ? 0 : next;
		istr[next][0] = i;
		istr[next][1] = '\0';
		return( istr[next++] );
	}

	char *itochr( i ) /*convert ASCII long int to char str, retn ptr to str*/
	long i;
	{
		next = (next >= MAX_PAIRS) ? 0 : next;
		istr[next][0] = i;
		istr[next][1] = '\0';
		return( istr[next++] );
	}
