/* mod.c - functions to support F77 mod() function translation to C */
/*
 *    copyright Cobalt Blue, Inc., 1988 - 1996
 *               ALL RIGHTS RESERVED
 */

#include <stdlib.h>
#include <fcrt.h>

#if sun
	/*NOTE: SPARC Sun OS C doesn't define labs() in their std C library*/
#	ifdef labs
#	undef labs
#	endif

	long labs( a )
	long a;
	{
		return( _ABS_(a) );
	}
#endif
		long labs_( a )
		long *a;
		{ return labs(*a); }

#ifdef sabs
#undef sabs
#endif

#if defined(__STDC__) || ANSI_C_TARGET
	short sabs( short a )
#else
	short sabs( a )
	short a;
#endif
	{
		return( _ABS_(a) );
	}
		short sabs_( a )
		short *a;
		{ return sabs(*a); }

#ifdef smod
#undef smod
#endif

#if defined(__STDC__) || ANSI_C_TARGET
	short smod( short a, short b )
#else
	short smod( a, b )
	short a, b;
#endif
	{
		return( a % b );
	}
		short smod_( a, b )
		short *a, *b;
		{ return smod(*a,*b); }

#ifdef mod
#undef mod
#endif

	long mod( a, b )
	long a, b;
	{
		return( a % b );
	}
		long mod_( a, b )
		long *a, *b;
		{ return mod(*a,*b); }

