/* pbawraps.c - Pass By Address function wrappers
 *             for transls of intrinsics passed as args by FOR_C (TM) */
/*
 *    copyright Cobalt Blue, Inc., 1988 - 1996
 *               ALL RIGHTS RESERVED
 */

#include <math.h>
#include <fcrt.h>


double sqrt_( x )
double *x;
{ return sqrt(*x); }

double sqrtf_( x )
float *x;
{ return sqrt(*x); }

double exp_( x )
double *x;
{ return exp(*x); }

double expf_( x )
float *x;
{ return exp(*x); }

double log_( x )
double *x;
{ return log(*x); }

double logf_( x )
float *x;
{ return log(*x); }

double log10_( x )
double *x;
{ return log10(*x); }

double log10f_( x )
float *x;
{ return log10(*x); }

double sin_( x )
double *x;
{ return sin(*x); }

double sinf_( x )
float *x;
{ return sin(*x); }

double cos_( x )
double *x;
{ return cos(*x); }

double cosf_( x )
float *x;
{ return cos(*x); }

double tan_( x )
double *x;
{ return tan(*x); }

double tanf_( x )
float *x;
{ return tan(*x); }

double asin_( x )
double *x;
{ return asin(*x); }

double asinf_( x )
float *x;
{ return asin(*x); }

double acos_( x )
double *x;
{ return acos(*x); }

double acosf_( x )
float *x;
{ return acos(*x); }

double atan_( x )
double *x;
{ return atan(*x); }

double atanf_( x )
float *x;
{ return atan(*x); }

double atan2_( x, y )
double *x, *y;
{ return atan2(*x,*y); }

double atan2f_( x, y )
float *x, *y;
{ return atan2(*x,*y); }

double sinh_( x )
double *x;
{ return sinh(*x); }

double sinhf_( x )
float *x;
{ return sinh(*x); }

double cosh_( x )
double *x;
{ return cosh(*x); }

double coshf_( x )
float *x;
{ return cosh(*x); }

double tanh_( x )
double *x;
{ return tanh(*x); }

double tanhf_( x )
float *x;
{ return tanh(*x); }

