/* posdif.c - support for F77 dim() function translations by FOR_C (TM) */
/*
 *    copyright Cobalt Blue, Inc., 1988 - 1996
 *               ALL RIGHTS RESERVED
 */

#include <fcrt.h>

#ifndef INLN_POSDIF
#if defined(__STDC__) || ANSI_C_TARGET
	short sposdif( short a, short b )	/* short integer positive difference */
#else
	short sposdif( a, b )		/* short integer positive difference */
	short a, b;				/* (idim() in F77) */
#endif
	{
		return( a > b ? a-b : 0 );
	}
		short sposdif_( a, b )
		short *a, *b;
		{ return( sposdif(*a,*b) ); }

	long iposdif( a, b )		/* integer positive difference */
	long a, b;				/* (idim() in F77) */
	{
		return( a > b ? a-b : 0L );
	}
		long iposdif_( a, b )
		long *a, *b;
		{ return( iposdif(*a,*b) ); }

	double posdif( a, b )	/* floating point positive difference */
	double a, b;				/* (dim(), ddim() in F77) */
	{
		return( a > b ? a-b : 0. );
	}
		double posdif_( a, b )
		double *a, *b;
		{ return( posdif(*a,*b) ); }
		double posdiff_( a, b )
		float *a, *b;
		{ return( posdif(*a,*b) ); }
#endif
