/* strpad.c -  support function for scan/read functions
 */
/*
 *    copyright Cobalt Blue, Inc., 1988 - 1992
 *               ALL RIGHTS RESERVED
 */


#include <stdio.h>
#include <fcrt.h>

			/*	*	*	*	*/

char *strpad( s, c, n )	/* pad string s w/char c, up to n chars */
char *s;
int c;
unsigned n;
{
	char *p;
	unsigned i;

	/* find the end of the current string, subject to n */
	for( p=s, i=0;  *p && i < n;  p++, i++ )
		;
	/* pad the string w/c, subject to n */
	for( ; i < n; i++ )
		*p++ = c;
	*p = '\0';	/* terminate string at the n-th char */

	return( s );
}

