/* endfil.c -- support for translated F77 ENDFILE stmts
 *       by FOR_C (TM) from COBALT BLUE
 *
 *    copyright Cobalt Blue, Inc., 1988 - 1992
 *               ALL RIGHTS RESERVED
 */

#include <stdio.h>
#include <stdlib.h>

#include <fcrt.h>
#include <fcio.h>

	/*	*	*	*	*/

void endfil( u )	/* turn on the 'ateof' flag */
int u;     /* NOTE: NO EOF record (or marker) is actually written! */
{
	if( VALID_UNIT(u) ){
		unit_s[u].status = -1;
		unit_s[u].ateof = YES;
		/* effectively disables further reads & writes */
		}
	else
		badunit( u );	/* unit error */

	return;
}
