/* strlcpy.c - string copy, limited by length - always null terminated result
 */
/*
 *    copyright Cobalt Blue, Inc., 1988 - 1992
 *               ALL RIGHTS RESERVED
 */


#include <stddef.h>
#include <fcrt.h>

char *strlcpy( to, from, l )	/* length ltd string copy */
char *to;
char const *from;
unsigned l;	/* target string length */
{
char *t=to;

if( to==NULL || from==NULL )
	return( NULL );	/* no chg or action if NULL strs given */
if( l == 0 )
	return( NULL );	/* undefined */

while( l && *from ){	/* copy the string (subject to l) */
	*t++ = *from++;
	l--;
	}

*t = '\0';
return( to );
}

