/* strrev.c */

#include <fcrt.h>	/* for consistent definition of strrev() */

char *strrev( str ) /* reverse 'str' on itself */
char *str;
{
	char *e, c, *s;

	if( !str || *str == '\0' )
		return( str );	/* take no action if a null string */

	s = e = str;
	while( *e )   /* position e to EOS */
		e++;
	e--;  /* move e back to last char */

	while( s < e ){
		c = *s;
		*s++ = *e;
		*e-- = c;
		}
	return( str );
}  /* end of reverse */

